VTK: vtkGlobFileNames Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkGlobFileNames Class Reference

find files that match a wildcard pattern More...

`#include <vtkGlobFileNames.h>`

Inheritance diagram for vtkGlobFileNames:
[legend]
Collaboration diagram for vtkGlobFileNames:
[legend]

## Public Member Functions
void | PrintSelf (ostream &os, vtkIndent indent) override
| Print directory to stream. More...
void | Reset ()
| Reset the glob by clearing the list of output filenames. More...
int | AddFileNames (VTK_FILEPATH const char *pattern)
| Search for all files that match the given expression, sort them, and add them to the output. More...
int | GetNumberOfFileNames ()
| Return the number of files found. More...
VTK_FILEPATH const char * | GetNthFileName (int index)
| Return the file at the given index, the indexing is 0 based. More...
| vtkSetFilePathMacro (Directory)
| Set the directory in which to perform the glob. More...
| vtkGetFilePathMacro (Directory)
| Set the directory in which to perform the glob. More...
virtual void | SetRecurse (vtkTypeBool)
| Recurse into subdirectories. More...
virtual void | RecurseOn ()
| Recurse into subdirectories. More...
virtual void | RecurseOff ()
| Recurse into subdirectories. More...
virtual vtkTypeBool | GetRecurse ()
| Recurse into subdirectories. More...
virtual vtkStringArray * | GetFileNames ()
| Get an array that contains all the file names. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkGlobFileNames * | New ()
| Create a new vtkGlobFileNames object. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkGlobFileNames ()
| ~vtkGlobFileNames () override
| vtkSetFilePathMacro (Pattern)
| Set the wildcard pattern. More...
| vtkGetFilePathMacro (Pattern)
| Set the wildcard pattern. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)
typedef vtkObject | Superclass
| Return the class name as a string. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Return the class name as a string. More...
static vtkGlobFileNames * | SafeDownCast (vtkObjectBase *o)
| Return the class name as a string. More...
virtual vtkTypeBool | IsA (const char *type)
| Return the class name as a string. More...
vtkGlobFileNames * | NewInstance () const
| Return the class name as a string. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Return the class name as a string. More...

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

find files that match a wildcard pattern

vtkGlobFileNames is a utility for finding files and directories that match a given wildcard pattern. Allowed wildcards are *, ?, [...], [!...]. The "*" wildcard matches any substring, the "?" matches any single character, the [...] matches any one of the enclosed characters, e.g. [abc] will match one of a, b, or c, while [0-9] will match any digit, and [!...] will match any single character except for the ones within the brackets. Special treatment is given to "/" (or "\" on Windows) because these are path separators. These are never matched by a wildcard, they are only matched with another file separator.

Warning
  This function performs case-sensitive matches on UNIX and case-insensitive matches on Windows.

See also
  vtkDirectory

Tests:
  vtkGlobFileNames (Tests)

Definition at line 36 of file vtkGlobFileNames.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkGlobFileNames::Superclass

Return the class name as a string.

Definition at line 43 of file vtkGlobFileNames.h.

## Constructor & Destructor Documentation

## ◆ vtkGlobFileNames()

vtkGlobFileNames::vtkGlobFileNames | ( |  | ) |
| protected

## ◆ ~vtkGlobFileNames()

vtkGlobFileNames::~vtkGlobFileNames | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkGlobFileNames::IsTypeOf | ( | const char * | type | ) |
| static

Return the class name as a string.

## ◆ IsA()

virtual vtkTypeBool vtkGlobFileNames::IsA | ( | const char * | type | ) |
| virtual

Return the class name as a string.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkGlobFileNames* vtkGlobFileNames::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Return the class name as a string.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkGlobFileNames::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Return the class name as a string.

## ◆ NewInstance()

vtkGlobFileNames* vtkGlobFileNames::NewInstance | ( |  | ) | const

Return the class name as a string.

## ◆ New()

static vtkGlobFileNames* vtkGlobFileNames::New | ( |  | ) |
| static

Create a new vtkGlobFileNames object.

## ◆ PrintSelf()

void vtkGlobFileNames::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Print directory to stream.

Reimplemented from vtkObject.

## ◆ Reset()

void vtkGlobFileNames::Reset | ( |  | ) |

Reset the glob by clearing the list of output filenames.

## ◆ vtkSetFilePathMacro() [1/2]

vtkGlobFileNames::vtkSetFilePathMacro | ( | Directory |  | ) |

Set the directory in which to perform the glob.

If this is not set, then the current directory will be used. Also, if you use a glob pattern that contains absolute path (one that starts with "/" or a drive letter) then that absolute path will be used and Directory will be ignored.

## ◆ vtkGetFilePathMacro() [1/2]

vtkGlobFileNames::vtkGetFilePathMacro | ( | Directory |  | ) |

Set the directory in which to perform the glob.

If this is not set, then the current directory will be used. Also, if you use a glob pattern that contains absolute path (one that starts with "/" or a drive letter) then that absolute path will be used and Directory will be ignored.

## ◆ AddFileNames()

int vtkGlobFileNames::AddFileNames | ( | VTK_FILEPATH const char * | pattern | ) |

Search for all files that match the given expression, sort them, and add them to the output.

This method can be called repeatedly to add files matching additional patterns. Returns 1 if successful, otherwise returns zero.

## ◆ SetRecurse()

virtual void vtkGlobFileNames::SetRecurse | ( | vtkTypeBool |  | ) |
| virtual

Recurse into subdirectories.

## ◆ RecurseOn()

virtual void vtkGlobFileNames::RecurseOn | ( |  | ) |
| virtual

Recurse into subdirectories.

## ◆ RecurseOff()

virtual void vtkGlobFileNames::RecurseOff | ( |  | ) |
| virtual

Recurse into subdirectories.

## ◆ GetRecurse()

virtual vtkTypeBool vtkGlobFileNames::GetRecurse | ( |  | ) |
| virtual

Recurse into subdirectories.

## ◆ GetNumberOfFileNames()

int vtkGlobFileNames::GetNumberOfFileNames | ( |  | ) |

Return the number of files found.

## ◆ GetNthFileName()

VTK_FILEPATH const char* vtkGlobFileNames::GetNthFileName | ( | int | index | ) |

Return the file at the given index, the indexing is 0 based.

## ◆ GetFileNames()

virtual vtkStringArray* vtkGlobFileNames::GetFileNames | ( |  | ) |
| virtual

Get an array that contains all the file names.

## ◆ vtkSetFilePathMacro() [2/2]

vtkGlobFileNames::vtkSetFilePathMacro | ( | Pattern |  | ) |
| protected

Set the wildcard pattern.

## ◆ vtkGetFilePathMacro() [2/2]

vtkGlobFileNames::vtkGetFilePathMacro | ( | Pattern |  | ) |
| protected

Set the wildcard pattern.

The documentation for this class was generated from the following file:

- IO/Core/vtkGlobFileNames.h